> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/server-administration/server-configuration/short-options.md).

# 20.18. Short Options

For convenience there are also single letter command-line option switches available for some parameters. They are described in [Table 19.2](https://www.postgresql.org/docs/12/runtime-config-short.html#RUNTIME-CONFIG-SHORT-TABLE). Some of these options exist for historical reasons, and their presence as a single-letter option does not necessarily indicate an endorsement to use the option heavily.

#### **Table 19.2. Short Option Key**

| Short Option                                           | Equivalent                                                                                                                                                                                                    |
| ------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `-B`` `*`x`*                                           | `shared_buffers =`` `*`x`*                                                                                                                                                                                    |
| `-d`` `*`x`*                                           | `log_min_messages = DEBUG`*`x`*                                                                                                                                                                               |
| `-e`                                                   | `datestyle = euro`                                                                                                                                                                                            |
| `-fb`, `-fh`, `-fi`, `-fm`, `-fn`, `-fo`, `-fs`, `-ft` | `enable_bitmapscan = off`, `enable_hashjoin = off`, `enable_indexscan = off`, `enable_mergejoin = off`, `enable_nestloop = off`, `enable_indexonlyscan = off`, `enable_seqscan = off`, `enable_tidscan = off` |
| `-F`                                                   | `fsync = off`                                                                                                                                                                                                 |
| `-h`` `*`x`*                                           | `listen_addresses =`` `*`x`*                                                                                                                                                                                  |
| `-i`                                                   | `listen_addresses = '*'`                                                                                                                                                                                      |
| `-k`` `*`x`*                                           | `unix_socket_directories =`` `*`x`*                                                                                                                                                                           |
| `-l`                                                   | `ssl = on`                                                                                                                                                                                                    |
| `-N`` `*`x`*                                           | `max_connections =`` `*`x`*                                                                                                                                                                                   |
| `-O`                                                   | `allow_system_table_mods = on`                                                                                                                                                                                |
| `-p`` `*`x`*                                           | `port =`` `*`x`*                                                                                                                                                                                              |
| `-P`                                                   | `ignore_system_indexes = on`                                                                                                                                                                                  |
| `-s`                                                   | `log_statement_stats = on`                                                                                                                                                                                    |
| `-S`` `*`x`*                                           | `work_mem =`` `*`x`*                                                                                                                                                                                          |
| `-tpa`, `-tpl`, `-te`                                  | `log_parser_stats = on`, `log_planner_stats = on`, `log_executor_stats = on`                                                                                                                                  |
| `-W`` `*`x`*                                           | `post_auth_delay =`` `*`x`*                                                                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/server-administration/server-configuration/short-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
